<template>
  <div class="notify" :class="'notify-' + notify.notification_type">
    <notify-subscribe-item
      v-if="notify.notification_type === 'subscribe'"
      :notify="notify"
      class="notify-content"
    />

    <notify-feed-item
      v-if="notify.notification_type === 'feed'"
      :notify="notify"
      class="notify-content"
    />
  </div>
</template>
<script>
import NotifyFeedItem from "./NotifyFeedItem.vue";
import NotifySubscribeItem from "./NotifySubscribeItem.vue";

export default {
  name: "NotifyItem",

  props: {
    notify: {
      type: Object,
      required: true,
    },
  },

  components: {
    NotifyFeedItem,
    NotifySubscribeItem,
  },
};
</script>
